libxml++ 2.40.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::internal_error Class Reference

`#include <libxml++/exceptions/internal_error.h>`

Inheritance diagram for xmlpp::internal_error:
[legend]

## Public Member Functions
| internal_error (const Glib::ustring& message)
| ~internal_error () noexceptoverride
exception | Clone () const override
void | Raise () const override
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
| ~exception () noexceptoverride
const char* | what () const noexceptoverride

## Constructor & Destructor Documentation

xmlpp::internal_error::internal_error | ( | const Glib::ustring & | message | ) |
| explicit

xmlpp::internal_error::~internal_error | ( |  | ) |
| override noexcept

## Member Function Documentation

exception xmlpp::internal_error::Clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.

void xmlpp::internal_error::Raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.